Subject: bug#61667: 29.0.60; Failure to redisplay

From: Po Lu <[email-masked]>
Date: Wed, 01 Mar 2023 20:41:09 +0800

Dmitry Gutov <[email-masked]> writes:

> Nope, it's for the "no problem" case. Hence the name.

Huh, that's really weird.  If blink-cursor-mode is not the source of the
inconsistencies, then the only explanation is that GNOME somehow behaves
badly if:

  - the back buffer is displayed prior to the title being set.
  - the WM name is changed.
  - another buffer swap happens 400 ms later.

I will try to see if I can reproduce this.

> I am sure, but just to verify, I redid the experiment again. See
> attached files, the naming scheme is the same: two problem cases and
> one "okay" case.

Was blink-cursor-mode turned off, BTW?  If it is on, then potentially
superfluous buffer swaps will end up in the logs once per
blink-cursor-interval and screw them up.

Thanks.